Subject: RE: [PWE3] [mpls] IETF Last Call comment on draft-ietf-pwe3-gal-in-pw

From: Yaakov Stein <[email-masked]>
Date: Thu, 1 Sep 2011 14:37:54 +0000

Stewart

Was this email meant to address my email to the IETF discussion list (from Tues 16 Aug)
or just the discussion on MPLS and PWE lists ?

It does to SOME extent, as it leaves open the possibility of the GAL not being at BoS;
but it does not rule out that possibility either.

However, you did not address my other final comment that a PW that starts in an MPLS-TP domain,
can easily leak into a non-TP domain.
What does one do then ?

(My email also identified a wording issue and what I consider to be a completely inaccurate
explanation of what the draft is trying to accomplish.)

Y(J)S

From: [email-masked] [mailto:[email-masked]] On Behalf Of Stewart Bryant
Sent: Tuesday, August 30, 2011 15:05
To: Luca Martini; IETF Discussion
Cc: [email-masked]; Vladimir Kleiner; [email-masked]; Idan Kaspit; Mishael Wexler; pwe3; [email-masked]; Oren Gal; John Shirron; [email-masked]; Rotem Cohen
Subject: Re: [PWE3] [mpls] IETF Last Call comment on draft-ietf-pwe3-gal-in-pw

Reviewing this discussion there are three components.

1) The update of RFC5586 to allow PW to use the GAL.
2) The PW OAM application that is to use the GAL.
3) The label stack structure when  teh GAL is used with a PW

This draft is only concerned with point 1 above. Points
2 and 3 need to be resolved in any PWE3 draft that describes
the use of the GAL.

To that end the text in draft-ietf-pwe3-mpls-tp-gal-in-pw-01

========

 -  Section 4.2<http://tools.ietf.org/html/draft-ietf-pwe3-mpls-tp-gal-in-pw-01#section-4.2>. (GAL Applicability and Usage) in [RFC5586<http://tools.ietf.org/html/rfc5586>], the

      original text:

          In MPLS-TP, the GAL MUST be used with packets on a G-ACh on

          LSPs, Concatenated Segments of LSPs, and with Sections, and

          MUST NOT be used with PWs. It MUST always be at the bottom of

          the label stack (i.e., S bit set to 1). However, in other MPLS

          environments, this document places no restrictions on where

          the GAL may appear within the label stack or its use with PWs.

      is replaced by:

          In MPLS-TP, the GAL MUST be used with packets on a G-ACh on

          LSPs, Concatenated Segments of LSPs, and with Sections, and

          MAY be used with PWs. It MUST always be at the bottom of the

          label stack (i.e., S bit set to 1). However, in other MPLS

          environments, this document places no restrictions on where

          the GAL may appear within the label stack.
=====

should be replaced by

=====

 -  Section 4.2<http://tools.ietf.org/html/draft-ietf-pwe3-mpls-tp-gal-in-pw-01#section-4.2>. (GAL Applicability and Usage) in [RFC5586<http://tools.ietf.org/html/rfc5586>], the

      original text:

          In MPLS-TP, the GAL MUST be used with packets on a G-ACh on

          LSPs, Concatenated Segments of LSPs, and with Sections, and

          MUST NOT be used with PWs. It MUST always be at the bottom of

          the label stack (i.e., S bit set to 1). However, in other MPLS

          environments, this document places no restrictions on where

          the GAL may appear within the label stack or its use with PWs.

      is replaced by:

          In MPLS-TP, the GAL MUST be used with packets on a G-ACh on

          LSPs, Concatenated Segments of LSPs, and with Sections, and

          MAY be used with PWs. The presence of a GAL indicates that

          an ACH immediately follows the MPLS label stack.
======

- Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Thu, 1 Sep 2011 19:07:39 +0300

Yaakov,
You've written
PW that starts in an MPLS-TP domain, can easily leak into a non-TP domain
This is exactly the point that I've raised in my IETF LC comment on the draft (for MS-PW) - please see my email (to several lists) that explains that in some detail, at http://www.ietf.org/mail-archive/web/pwe3/current/msg12581.html.

Regards,
     Sasha

________________________________
From: [email-masked] [[email-masked]] On Behalf Of Yaakov Stein [[email-masked]]
Sent: Thursday, September 01, 2011 5:37 PM
To: [email-masked]; Luca Martini; IETF Discussion
Cc: [email-masked]; pwe3; [email-masked]; [email-masked]
Subject: Re: [mpls] [PWE3] IETF Last Call comment on draft-ietf-pwe3-gal-in-pw

Stewart

Y(J)S

========

      original text:

      is replaced by:

should be replaced by

=====

      original text:

      is replaced by:

- Stewart

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.

---

From: Greg Mirsky <[email-masked]>
Date: Thu, 1 Sep 2011 09:31:52 -0700

Dear Yaakov and Sasha,
I share your concern in regard to MPLS-TP-ness of MS-PW construct. It
was in my background thinking when I was querying Sasha and I think
that the "chimera" is quite proper characterization for MS-PW in
MPLS-TP.

Regards,
Greg

On Thu, Sep 1, 2011 at 9:07 AM, Alexander Vainshtein
<[email-masked]> wrote:
> This is exactly the point that I've raised in my IETF LC comment on the
> draft (for MS-PW) - please see my email (to several lists) that explains
> that in some detail, at
> http://www.ietf.org/mail-archive/web/pwe3/current/msg12581.html.
>
> Regards,
>      Sasha
>
>
>
> Cc: [email-masked]; Vladimir Kleiner; [email-masked]; Idan Kaspit; Mishael
> Wexler; pwe3; [email-masked]; Oren Gal; John Shirron;
> [email-masked]; Rotem Cohen
>  -  Section 4.2. (GAL Applicability and Usage) in [RFC5586], the
>
>       original text:
>
>
>
>  -  Section 4.2. (GAL Applicability and Usage) in [RFC5586], the
>
>       original text:
>
>
>
> This e-mail message is intended for the recipient only and contains
> information which is CONFIDENTIAL and which may be proprietary to ECI
> Telecom. If you have received this transmission in error, please inform us
> by e-mail, phone or fax, and then delete the original and all copies
> thereof.
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>
>

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 01 Sep 2011 18:33:20 +0100

On 01/09/2011 17:07, Alexander Vainshtein wrote:
> This is exactly the point that I've raised in my IETF LC comment on 
> the draft (for MS-PW) - please see my email (to several lists) that 
> explains that in some detail, at 
Sasha

The operator intends to improve traffic distribution in the IP/MPLS 
domain, hence he enables insertionand discard of "flow labels" at the 
two S-PEs.

Speaking as an author of the FAT-PW draft I do not recall any text that 
proposes that S-PEs insert FLs in the stack, and it never occurred to me 
that anyone anyone would try, since would require a change to the design 
of the S-PEs.

Stewart

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Fri, 2 Sep 2011 12:06:40 +0200

Sasha,

On your final comment on the concept of an MPLS-TP PW, RFC5586 has already made the distinction between the use of the GAL on PWs in MPLS-TP and in other MPLS environments. This draft aligns the two cases in terms of the applicability of the GAL, by updating RFC5586 to remove the restriction on its use and position in an MPLS-TP environment.

The case of interconnecting PW segments on MPLS-TP to PW segments on general MPLS networks should be discussed elsewhere, IMHO, as the interaction between the GAL and hashing on some PW segments is most likely not the only issue. RFC5921 rules out the use of ECMP in MPLS-TP networks, so one would not expect an MPLS-TP PSN to hash the flow label today. If that is going to change or if there are other flow label applications in MPLS-TP, then IMHO drafts detailing those applications should discuss the interaction with the GAL.

Regards,

Matthew

On 02/09/2011 06:05, "Alexander Vainshtein" <[email-masked]<mailto:[email-masked]>> wrote:

Stewart,
Lots of thanks for a prompt response.

My original email contained a typo (S-PE instead of T-PE  named as inserting ) which I've acknowledged and corrected in this thread (please see http://www.ietf.org/mail-archive/web/pwe3/current/msg12586.html).

With this correction in mind, the example I've presented (an MS-PW that originates in a T-PE in a MPLS-TP domain and them crosses - at S-PE - into an IP/MPLS domain) matches, IMHO, Yaakov's question. And if the operator wishes to improve traffic distribution in the IP/MPLS domain which employs ECMP, flow labels would be inserted by T-PE.

I believe that the change in draft-ietf-pwe3-gal-in-pw that you've proposed inhttp://www.ietf.org/mail-archive/web/pwe3/current/msg12613.html resolves the original issue I've raised of both GAL and flow label "competing" for the BoS position.

However, a conceptual question - can any MPLS-TP restrictions be placed on PWs?- remains open as noted in Greg's comment (please see http://www.ietf.org/mail-archive/web/pwe3/current/msg12620.html). IMHO and FWIW we should acknowledge the fact (implicitly recognized  already in RFC 5920) that there is simply no such thing as a MPLS-TP PW.

Hopefully this note clarifies my position on the subject.

Regards, and apologies for the original typo,
     Sasha

________________________________
From: Stewart Bryant [[email-masked]<mailto:[email-masked]>]
Sent: Thursday, September 01, 2011 8:33 PM
To: Alexander Vainshtein
Cc: Yaakov Stein; [email-masked]<mailto:[email-masked]>; pwe3; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Luca Martini; IETF Discussion
Subject: Re: [mpls] [PWE3] IETF Last Call comment on draft-ietf-pwe3-gal-in-pw

Regards,
Sasha

The operator intends to improve traffic distribution in the IP/MPLS domain, hence he enables insertion and discard of "flow labels" at the two S-PEs.

Speaking as an author of the FAT-PW draft I do not recall any text that proposes that S-PEs insert FLs in the stack, and it never occurred to me that anyone anyone would try, since would require a change to the design of the S-PEs.

Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 2 Sep 2011 08:05:47 +0300

Stewart,

I believe that the change in draft-ietf-pwe3-gal-in-pw that you've proposed in http://www.ietf.org/mail-archive/web/pwe3/current/msg12613.html resolves the original issue I've raised of both GAL and flow label "competing" for the BoS position.

________________________________
From: Stewart Bryant [[email-masked]]
Sent: Thursday, September 01, 2011 8:33 PM
To: Alexander Vainshtein
Cc: Yaakov Stein; [email-masked]; pwe3; [email-masked]; [email-masked]; Luca Martini; IETF Discussion
Subject: Re: [mpls] [PWE3] IETF Last Call comment on draft-ietf-pwe3-gal-in-pw

Regards,
Sasha

Stewart

---

From: Alexander Vainshtein <[email-masked]>
Date: Fri, 2 Sep 2011 18:02:12 +0300

Matthew,

Please see a couple of comments inline below.

Regards,
     Sasha

________________________________
From: Bocci, Matthew (Matthew) [[email-masked]]
Sent: Friday, September 02, 2011 1:06 PM
To: Alexander Vainshtein; Stewart Bryant
Cc: Yaakov Stein; [email-masked]; pwe3; [email-masked]; [email-masked]; Luca Martini; IETF Discussion
Subject: Re: [mpls] [PWE3] IETF Last Call comment on draft-ietf-pwe3-gal-in-pw

Sasha,

[[Sasha]] IMHO and FWIW this is one more indication that there is no such thing as an MPLS-TP PW as different from an MPLS TP. Did I miss something important?

The case of interconnecting PW segments on MPLS-TP to PW segments on general MPLS networks should be discussed elsewhere, IMHO, as the interaction between the GAL and hashing on some PW segments is most likely not the only issue.

[[Sasha]] Sounds OK with me.

RFC5921 rules out the use of ECMP in MPLS-TP networks, so one would not expect an MPLS-TP PSN to hash the flow label today.

[[Sasha]] I make a distinction between inserting a flow label at T-PE and hashing on the label stack (or lack thereof) in some of the network domains that are crossed by the MS-PW packet. The hashing is done (or not done) by P routers that do not specifically care about PWs.

If that is going to change or if there are other flow label applications in MPLS-TP, then IMHO drafts detailing those applications should discuss the interaction with the GAL.

[[Sasha]] Please see above. IMHO there is no need for a new application to study the interaction.

Regards,

Matthew

Stewart,

Regards,
Sasha

Stewart